## Function template init_from_stream

boost::log::init_from_stream

## Synopsis

    // In header: <boost/log/utility/setup/from_stream.hpp>

    template<typename CharT>
      void init_from_stream(std::basic_istream< CharT > & strm);

## Description

The function initializes the logging library from a stream containing logging settings

Throws: An `std::exception`-based exception if the read data cannot be interpreted as the library settings

Parameters:

`strm` | Stream, that provides library settings